//██████████████████████████████████████████████████████████████████████████████ QC MODELS
textures/uncommon/qc_gateportal
{
	qer_editorimage textures/uncommon/qc_gateportal.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/qcmater_gate1.tga
		blendfunc add
	}
	{
		map textures/uncommon/materials/qcmater_gate2.tga
		blendfunc add
		tcMod scroll 0.05 0.25
		tcMod turb 0 .2 0 .1
	}
}
textures/uncommon/qc_pad
{
	qer_editorimage textures/uncommon/qc_pad.tga
	cull disable
	surfaceparm trans
	surfaceparm alphashadow
	q3map_lightmapMergable 
	{
		map textures/uncommon/qc_pad.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
	}
	{
		map textures/uncommon/materials/qcmater_padbm.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .75 0 1
	}
}
textures/uncommon/qc_padmist
{
	qer_editorimage textures/uncommon/qc_padmist.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/qcmater_padmist.tga
		blendfunc add
		tcMod scroll 0.2 0
		rgbgen wave sin 1 .75 0 1
	}
}

//██████████████████████████████████████████████████████████████████████████████ SKYBOX
textures/uncommon/mfsky
{
	qer_editorimage textures/uncommon/mfsky.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 3 1 0 50 350 40
	q3map_surfacelight 100
	skyparms - 512 -
	{
		map textures/uncommon/blck.tga
	}
}

textures/uncommon/mfclouds
{
	qer_editorimage textures/uncommon/mfclouds.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/uncommon/materials/skymater1.tga
		blendfunc add
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/uncommon/materials/skymater4.tga
		blendFunc gl_dst_color gl_zero
		tcMod scroll 0 0.1
		depthWrite
		
	}
}

textures/uncommon/foggrad
{
	qer_editorimage textures/uncommon/foggrad.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/foggradt.tga
		blendfunc blend
	}
}

textures/uncommon/fogsolid
{
	surfaceparm nomarks
	surfaceparm nolightmap 
	{
		map textures/uncommon/fogsolid.tga
	}
}

textures/uncommon/fogsolidtransp
{
	qer_editorimage textures/uncommon/materials/foggradtr_mater.tga
	surfaceparm alphashadow
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/fogsolid.tga
		alphaGen const 0.25
		blendfunc blend
	}
}

textures/uncommon/grad
{
	qer_editorimage textures/uncommon/grad.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	
	{
		map textures/uncommon/grad.tga
		blendFunc gl_dst_color gl_zero
		tcMod scroll 0 .5
		depthWrite
	}
}

textures/uncommon/gradtent
{
	qer_editorimage textures/uncommon/materials/gradtentglow
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/gradtent.tga
		blendFunc gl_dst_color gl_zero
		tcMod scroll 0 -0.25
	}
	{
		map textures/uncommon/materials/gradtentglow.tga
		blendfunc add
		tcMod scroll 0 -0.5
	}
}
textures/uncommon/gradghost
{
	qer_editorimage textures/uncommon/materials/gradtentghost
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/gradtentghost.tga
		blendfunc add
		tcMod scroll 0 -0.1
		tcMod turb 0 .02 0 .1
	}
}

textures/uncommon/gradc
{
	qer_editorimage textures/uncommon/gradc.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	
	{
		map textures/uncommon/gradc.tga
		blendFunc gl_dst_color gl_zero
	}
}
textures/uncommon/sun_sun
{
	qer_editorimage textures/uncommon/sun_sun
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_sun2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/uncommon/materials/sunmater_sun1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scroll 0.07 -0.04
		depthFunc equal
	}
}
textures/uncommon/sun_sunhalo
{
	qer_editorimage textures/uncommon/sun_sunhalo
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_sunhalo.tga
		blendfunc blend
		depthWrite
	}
}
textures/uncommon/sun_darksun
{
	qer_editorimage textures/uncommon/sun_darksun
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_darksun2.tga
		tcMod scroll -0.05 -0.03
	}
	{
		map textures/uncommon/materials/sunmater_darksun1.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		tcMod scroll -0.3 0.3
	}
}
textures/uncommon/sun_darksunshell
{
	qer_editorimage textures/uncommon/sun_darksunshell
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_darksunshell.tga
		tcMod turb 0 .05 0 .5
		tcMod scroll -0.6 0.1
		blendFunc blend
	}
}
textures/uncommon/sun_darksunsmell
{
	qer_editorimage textures/uncommon/sun_darksunsmell
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_darksunsmell3.tga
		tcMod rotate 10
		tcMod turb 0 .02 0 .1
		blendFunc gl_dst_color gl_zero
	}
}
textures/uncommon/sun_darksunsmell2
{
	qer_editorimage textures/uncommon/sun_darksunsmell2
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap 
	surfaceparm trans
	{
		map textures/uncommon/materials/sunmater_darksunsmell4.tga
		tcMod turb 0 .02 0 .7
		blendFunc gl_dst_color gl_zero
	}
}
//██████████████████████████████████████████████████████████████████████████████ various

textures/uncommon/b15pt
{
	qer_editorimage textures/uncommon/b15pt	
	surfaceparm nonsolid
	
	{
		map textures/gothic_block/blocks15.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
} 

textures/uncommon/lavaflow
{
	qer_editorimage textures/uncommon/lavaflow
	q3map_surfacelight 200
	surfaceparm nomarks
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/protolava2.tga
		tcMod scroll 0 -.1
		tcMod turb 0 .05 0 .1
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcMod scale 2.0 2.0
		tcMod scroll 0 -.15
	}
}
textures/uncommon/lavaflow2
{
	qer_editorimage textures/uncommon/lavaflow22
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/liquids/protolava2.jpg
		tcMod scroll 0 -.1
		tcMod scale 0.05 0.05
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcMod scale 0.1 0.1
		tcMod scroll 0 -.2
	}
}
textures/uncommon/ffog
{
	qer_editorimage textures/uncommon/ffog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .3 0 0 ) 1600
}
textures/uncommon/ultrafog
{
	qer_editorimage textures/uncommon/ultrafog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .3 0 0 ) 1
}
